Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network82.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
82.0.0.0
Broadcast address
82.255.255.255
First usable
82.0.0.1
Last usable
82.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 52000000 · Integer 1375731712 to 1392508927
Reverse DNS zone
82.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010010..00000000.00000000.0000000082.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01010010..00000000.00000000.0000000082.0.0.0
Broadcast01010010..11111111.11111111.1111111182.255.255.255
Split into smaller subnets/16

82.0.0.0/8 makes 256 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
182.0.0.0/1682.0.0.1 to 82.0.255.25482.0.255.25565,534
282.1.0.0/1682.1.0.1 to 82.1.255.25482.1.255.25565,534
382.2.0.0/1682.2.0.1 to 82.2.255.25482.2.255.25565,534
482.3.0.0/1682.3.0.1 to 82.3.255.25482.3.255.25565,534
582.4.0.0/1682.4.0.1 to 82.4.255.25482.4.255.25565,534
682.5.0.0/1682.5.0.1 to 82.5.255.25482.5.255.25565,534
782.6.0.0/1682.6.0.1 to 82.6.255.25482.6.255.25565,534
882.7.0.0/1682.7.0.1 to 82.7.255.25482.7.255.25565,534
982.8.0.0/1682.8.0.1 to 82.8.255.25482.8.255.25565,534
1082.9.0.0/1682.9.0.1 to 82.9.255.25482.9.255.25565,534
1182.10.0.0/1682.10.0.1 to 82.10.255.25482.10.255.25565,534
1282.11.0.0/1682.11.0.1 to 82.11.255.25482.11.255.25565,534
1382.12.0.0/1682.12.0.1 to 82.12.255.25482.12.255.25565,534
1482.13.0.0/1682.13.0.1 to 82.13.255.25482.13.255.25565,534
1582.14.0.0/1682.14.0.1 to 82.14.255.25482.14.255.25565,534
1682.15.0.0/1682.15.0.1 to 82.15.255.25482.15.255.25565,534
1782.16.0.0/1682.16.0.1 to 82.16.255.25482.16.255.25565,534
1882.17.0.0/1682.17.0.1 to 82.17.255.25482.17.255.25565,534
1982.18.0.0/1682.18.0.1 to 82.18.255.25482.18.255.25565,534
2082.19.0.0/1682.19.0.1 to 82.19.255.25482.19.255.25565,534
2182.20.0.0/1682.20.0.1 to 82.20.255.25482.20.255.25565,534
2282.21.0.0/1682.21.0.1 to 82.21.255.25482.21.255.25565,534
2382.22.0.0/1682.22.0.1 to 82.22.255.25482.22.255.25565,534
2482.23.0.0/1682.23.0.1 to 82.23.255.25482.23.255.25565,534
2582.24.0.0/1682.24.0.1 to 82.24.255.25482.24.255.25565,534
2682.25.0.0/1682.25.0.1 to 82.25.255.25482.25.255.25565,534
2782.26.0.0/1682.26.0.1 to 82.26.255.25482.26.255.25565,534
2882.27.0.0/1682.27.0.1 to 82.27.255.25482.27.255.25565,534
2982.28.0.0/1682.28.0.1 to 82.28.255.25482.28.255.25565,534
3082.29.0.0/1682.29.0.1 to 82.29.255.25482.29.255.25565,534
3182.30.0.0/1682.30.0.1 to 82.30.255.25482.30.255.25565,534
3282.31.0.0/1682.31.0.1 to 82.31.255.25482.31.255.25565,534
3382.32.0.0/1682.32.0.1 to 82.32.255.25482.32.255.25565,534
3482.33.0.0/1682.33.0.1 to 82.33.255.25482.33.255.25565,534
3582.34.0.0/1682.34.0.1 to 82.34.255.25482.34.255.25565,534
3682.35.0.0/1682.35.0.1 to 82.35.255.25482.35.255.25565,534
3782.36.0.0/1682.36.0.1 to 82.36.255.25482.36.255.25565,534
3882.37.0.0/1682.37.0.1 to 82.37.255.25482.37.255.25565,534
3982.38.0.0/1682.38.0.1 to 82.38.255.25482.38.255.25565,534
4082.39.0.0/1682.39.0.1 to 82.39.255.25482.39.255.25565,534
4182.40.0.0/1682.40.0.1 to 82.40.255.25482.40.255.25565,534
4282.41.0.0/1682.41.0.1 to 82.41.255.25482.41.255.25565,534
4382.42.0.0/1682.42.0.1 to 82.42.255.25482.42.255.25565,534
4482.43.0.0/1682.43.0.1 to 82.43.255.25482.43.255.25565,534
4582.44.0.0/1682.44.0.1 to 82.44.255.25482.44.255.25565,534
4682.45.0.0/1682.45.0.1 to 82.45.255.25482.45.255.25565,534
4782.46.0.0/1682.46.0.1 to 82.46.255.25482.46.255.25565,534
4882.47.0.0/1682.47.0.1 to 82.47.255.25482.47.255.25565,534
4982.48.0.0/1682.48.0.1 to 82.48.255.25482.48.255.25565,534
5082.49.0.0/1682.49.0.1 to 82.49.255.25482.49.255.25565,534
5182.50.0.0/1682.50.0.1 to 82.50.255.25482.50.255.25565,534
5282.51.0.0/1682.51.0.1 to 82.51.255.25482.51.255.25565,534
5382.52.0.0/1682.52.0.1 to 82.52.255.25482.52.255.25565,534
5482.53.0.0/1682.53.0.1 to 82.53.255.25482.53.255.25565,534
5582.54.0.0/1682.54.0.1 to 82.54.255.25482.54.255.25565,534
5682.55.0.0/1682.55.0.1 to 82.55.255.25482.55.255.25565,534
5782.56.0.0/1682.56.0.1 to 82.56.255.25482.56.255.25565,534
5882.57.0.0/1682.57.0.1 to 82.57.255.25482.57.255.25565,534
5982.58.0.0/1682.58.0.1 to 82.58.255.25482.58.255.25565,534
6082.59.0.0/1682.59.0.1 to 82.59.255.25482.59.255.25565,534
6182.60.0.0/1682.60.0.1 to 82.60.255.25482.60.255.25565,534
6282.61.0.0/1682.61.0.1 to 82.61.255.25482.61.255.25565,534
6382.62.0.0/1682.62.0.1 to 82.62.255.25482.62.255.25565,534
6482.63.0.0/1682.63.0.1 to 82.63.255.25482.63.255.25565,534
6582.64.0.0/1682.64.0.1 to 82.64.255.25482.64.255.25565,534
6682.65.0.0/1682.65.0.1 to 82.65.255.25482.65.255.25565,534
6782.66.0.0/1682.66.0.1 to 82.66.255.25482.66.255.25565,534
6882.67.0.0/1682.67.0.1 to 82.67.255.25482.67.255.25565,534
6982.68.0.0/1682.68.0.1 to 82.68.255.25482.68.255.25565,534
7082.69.0.0/1682.69.0.1 to 82.69.255.25482.69.255.25565,534
7182.70.0.0/1682.70.0.1 to 82.70.255.25482.70.255.25565,534
7282.71.0.0/1682.71.0.1 to 82.71.255.25482.71.255.25565,534
7382.72.0.0/1682.72.0.1 to 82.72.255.25482.72.255.25565,534
7482.73.0.0/1682.73.0.1 to 82.73.255.25482.73.255.25565,534
7582.74.0.0/1682.74.0.1 to 82.74.255.25482.74.255.25565,534
7682.75.0.0/1682.75.0.1 to 82.75.255.25482.75.255.25565,534
7782.76.0.0/1682.76.0.1 to 82.76.255.25482.76.255.25565,534
7882.77.0.0/1682.77.0.1 to 82.77.255.25482.77.255.25565,534
7982.78.0.0/1682.78.0.1 to 82.78.255.25482.78.255.25565,534
8082.79.0.0/1682.79.0.1 to 82.79.255.25482.79.255.25565,534
8182.80.0.0/1682.80.0.1 to 82.80.255.25482.80.255.25565,534
8282.81.0.0/1682.81.0.1 to 82.81.255.25482.81.255.25565,534
8382.82.0.0/1682.82.0.1 to 82.82.255.25482.82.255.25565,534
8482.83.0.0/1682.83.0.1 to 82.83.255.25482.83.255.25565,534
8582.84.0.0/1682.84.0.1 to 82.84.255.25482.84.255.25565,534
8682.85.0.0/1682.85.0.1 to 82.85.255.25482.85.255.25565,534
8782.86.0.0/1682.86.0.1 to 82.86.255.25482.86.255.25565,534
8882.87.0.0/1682.87.0.1 to 82.87.255.25482.87.255.25565,534
8982.88.0.0/1682.88.0.1 to 82.88.255.25482.88.255.25565,534
9082.89.0.0/1682.89.0.1 to 82.89.255.25482.89.255.25565,534
9182.90.0.0/1682.90.0.1 to 82.90.255.25482.90.255.25565,534
9282.91.0.0/1682.91.0.1 to 82.91.255.25482.91.255.25565,534
9382.92.0.0/1682.92.0.1 to 82.92.255.25482.92.255.25565,534
9482.93.0.0/1682.93.0.1 to 82.93.255.25482.93.255.25565,534
9582.94.0.0/1682.94.0.1 to 82.94.255.25482.94.255.25565,534
9682.95.0.0/1682.95.0.1 to 82.95.255.25482.95.255.25565,534
9782.96.0.0/1682.96.0.1 to 82.96.255.25482.96.255.25565,534
9882.97.0.0/1682.97.0.1 to 82.97.255.25482.97.255.25565,534
9982.98.0.0/1682.98.0.1 to 82.98.255.25482.98.255.25565,534
10082.99.0.0/1682.99.0.1 to 82.99.255.25482.99.255.25565,534
10182.100.0.0/1682.100.0.1 to 82.100.255.25482.100.255.25565,534
10282.101.0.0/1682.101.0.1 to 82.101.255.25482.101.255.25565,534
10382.102.0.0/1682.102.0.1 to 82.102.255.25482.102.255.25565,534
10482.103.0.0/1682.103.0.1 to 82.103.255.25482.103.255.25565,534
10582.104.0.0/1682.104.0.1 to 82.104.255.25482.104.255.25565,534
10682.105.0.0/1682.105.0.1 to 82.105.255.25482.105.255.25565,534
10782.106.0.0/1682.106.0.1 to 82.106.255.25482.106.255.25565,534
10882.107.0.0/1682.107.0.1 to 82.107.255.25482.107.255.25565,534
10982.108.0.0/1682.108.0.1 to 82.108.255.25482.108.255.25565,534
11082.109.0.0/1682.109.0.1 to 82.109.255.25482.109.255.25565,534
11182.110.0.0/1682.110.0.1 to 82.110.255.25482.110.255.25565,534
11282.111.0.0/1682.111.0.1 to 82.111.255.25482.111.255.25565,534
11382.112.0.0/1682.112.0.1 to 82.112.255.25482.112.255.25565,534
11482.113.0.0/1682.113.0.1 to 82.113.255.25482.113.255.25565,534
11582.114.0.0/1682.114.0.1 to 82.114.255.25482.114.255.25565,534
11682.115.0.0/1682.115.0.1 to 82.115.255.25482.115.255.25565,534
11782.116.0.0/1682.116.0.1 to 82.116.255.25482.116.255.25565,534
11882.117.0.0/1682.117.0.1 to 82.117.255.25482.117.255.25565,534
11982.118.0.0/1682.118.0.1 to 82.118.255.25482.118.255.25565,534
12082.119.0.0/1682.119.0.1 to 82.119.255.25482.119.255.25565,534
12182.120.0.0/1682.120.0.1 to 82.120.255.25482.120.255.25565,534
12282.121.0.0/1682.121.0.1 to 82.121.255.25482.121.255.25565,534
12382.122.0.0/1682.122.0.1 to 82.122.255.25482.122.255.25565,534
12482.123.0.0/1682.123.0.1 to 82.123.255.25482.123.255.25565,534
12582.124.0.0/1682.124.0.1 to 82.124.255.25482.124.255.25565,534
12682.125.0.0/1682.125.0.1 to 82.125.255.25482.125.255.25565,534
12782.126.0.0/1682.126.0.1 to 82.126.255.25482.126.255.25565,534
12882.127.0.0/1682.127.0.1 to 82.127.255.25482.127.255.25565,534
12982.128.0.0/1682.128.0.1 to 82.128.255.25482.128.255.25565,534
13082.129.0.0/1682.129.0.1 to 82.129.255.25482.129.255.25565,534
13182.130.0.0/1682.130.0.1 to 82.130.255.25482.130.255.25565,534
13282.131.0.0/1682.131.0.1 to 82.131.255.25482.131.255.25565,534
13382.132.0.0/1682.132.0.1 to 82.132.255.25482.132.255.25565,534
13482.133.0.0/1682.133.0.1 to 82.133.255.25482.133.255.25565,534
13582.134.0.0/1682.134.0.1 to 82.134.255.25482.134.255.25565,534
13682.135.0.0/1682.135.0.1 to 82.135.255.25482.135.255.25565,534
13782.136.0.0/1682.136.0.1 to 82.136.255.25482.136.255.25565,534
13882.137.0.0/1682.137.0.1 to 82.137.255.25482.137.255.25565,534
13982.138.0.0/1682.138.0.1 to 82.138.255.25482.138.255.25565,534
14082.139.0.0/1682.139.0.1 to 82.139.255.25482.139.255.25565,534
14182.140.0.0/1682.140.0.1 to 82.140.255.25482.140.255.25565,534
14282.141.0.0/1682.141.0.1 to 82.141.255.25482.141.255.25565,534
14382.142.0.0/1682.142.0.1 to 82.142.255.25482.142.255.25565,534
14482.143.0.0/1682.143.0.1 to 82.143.255.25482.143.255.25565,534
14582.144.0.0/1682.144.0.1 to 82.144.255.25482.144.255.25565,534
14682.145.0.0/1682.145.0.1 to 82.145.255.25482.145.255.25565,534
14782.146.0.0/1682.146.0.1 to 82.146.255.25482.146.255.25565,534
14882.147.0.0/1682.147.0.1 to 82.147.255.25482.147.255.25565,534
14982.148.0.0/1682.148.0.1 to 82.148.255.25482.148.255.25565,534
15082.149.0.0/1682.149.0.1 to 82.149.255.25482.149.255.25565,534
15182.150.0.0/1682.150.0.1 to 82.150.255.25482.150.255.25565,534
15282.151.0.0/1682.151.0.1 to 82.151.255.25482.151.255.25565,534
15382.152.0.0/1682.152.0.1 to 82.152.255.25482.152.255.25565,534
15482.153.0.0/1682.153.0.1 to 82.153.255.25482.153.255.25565,534
15582.154.0.0/1682.154.0.1 to 82.154.255.25482.154.255.25565,534
15682.155.0.0/1682.155.0.1 to 82.155.255.25482.155.255.25565,534
15782.156.0.0/1682.156.0.1 to 82.156.255.25482.156.255.25565,534
15882.157.0.0/1682.157.0.1 to 82.157.255.25482.157.255.25565,534
15982.158.0.0/1682.158.0.1 to 82.158.255.25482.158.255.25565,534
16082.159.0.0/1682.159.0.1 to 82.159.255.25482.159.255.25565,534
16182.160.0.0/1682.160.0.1 to 82.160.255.25482.160.255.25565,534
16282.161.0.0/1682.161.0.1 to 82.161.255.25482.161.255.25565,534
16382.162.0.0/1682.162.0.1 to 82.162.255.25482.162.255.25565,534
16482.163.0.0/1682.163.0.1 to 82.163.255.25482.163.255.25565,534
16582.164.0.0/1682.164.0.1 to 82.164.255.25482.164.255.25565,534
16682.165.0.0/1682.165.0.1 to 82.165.255.25482.165.255.25565,534
16782.166.0.0/1682.166.0.1 to 82.166.255.25482.166.255.25565,534
16882.167.0.0/1682.167.0.1 to 82.167.255.25482.167.255.25565,534
16982.168.0.0/1682.168.0.1 to 82.168.255.25482.168.255.25565,534
17082.169.0.0/1682.169.0.1 to 82.169.255.25482.169.255.25565,534
17182.170.0.0/1682.170.0.1 to 82.170.255.25482.170.255.25565,534
17282.171.0.0/1682.171.0.1 to 82.171.255.25482.171.255.25565,534
17382.172.0.0/1682.172.0.1 to 82.172.255.25482.172.255.25565,534
17482.173.0.0/1682.173.0.1 to 82.173.255.25482.173.255.25565,534
17582.174.0.0/1682.174.0.1 to 82.174.255.25482.174.255.25565,534
17682.175.0.0/1682.175.0.1 to 82.175.255.25482.175.255.25565,534
17782.176.0.0/1682.176.0.1 to 82.176.255.25482.176.255.25565,534
17882.177.0.0/1682.177.0.1 to 82.177.255.25482.177.255.25565,534
17982.178.0.0/1682.178.0.1 to 82.178.255.25482.178.255.25565,534
18082.179.0.0/1682.179.0.1 to 82.179.255.25482.179.255.25565,534
18182.180.0.0/1682.180.0.1 to 82.180.255.25482.180.255.25565,534
18282.181.0.0/1682.181.0.1 to 82.181.255.25482.181.255.25565,534
18382.182.0.0/1682.182.0.1 to 82.182.255.25482.182.255.25565,534
18482.183.0.0/1682.183.0.1 to 82.183.255.25482.183.255.25565,534
18582.184.0.0/1682.184.0.1 to 82.184.255.25482.184.255.25565,534
18682.185.0.0/1682.185.0.1 to 82.185.255.25482.185.255.25565,534
18782.186.0.0/1682.186.0.1 to 82.186.255.25482.186.255.25565,534
18882.187.0.0/1682.187.0.1 to 82.187.255.25482.187.255.25565,534
18982.188.0.0/1682.188.0.1 to 82.188.255.25482.188.255.25565,534
19082.189.0.0/1682.189.0.1 to 82.189.255.25482.189.255.25565,534
19182.190.0.0/1682.190.0.1 to 82.190.255.25482.190.255.25565,534
19282.191.0.0/1682.191.0.1 to 82.191.255.25482.191.255.25565,534
19382.192.0.0/1682.192.0.1 to 82.192.255.25482.192.255.25565,534
19482.193.0.0/1682.193.0.1 to 82.193.255.25482.193.255.25565,534
19582.194.0.0/1682.194.0.1 to 82.194.255.25482.194.255.25565,534
19682.195.0.0/1682.195.0.1 to 82.195.255.25482.195.255.25565,534
19782.196.0.0/1682.196.0.1 to 82.196.255.25482.196.255.25565,534
19882.197.0.0/1682.197.0.1 to 82.197.255.25482.197.255.25565,534
19982.198.0.0/1682.198.0.1 to 82.198.255.25482.198.255.25565,534
20082.199.0.0/1682.199.0.1 to 82.199.255.25482.199.255.25565,534
20182.200.0.0/1682.200.0.1 to 82.200.255.25482.200.255.25565,534
20282.201.0.0/1682.201.0.1 to 82.201.255.25482.201.255.25565,534
20382.202.0.0/1682.202.0.1 to 82.202.255.25482.202.255.25565,534
20482.203.0.0/1682.203.0.1 to 82.203.255.25482.203.255.25565,534
20582.204.0.0/1682.204.0.1 to 82.204.255.25482.204.255.25565,534
20682.205.0.0/1682.205.0.1 to 82.205.255.25482.205.255.25565,534
20782.206.0.0/1682.206.0.1 to 82.206.255.25482.206.255.25565,534
20882.207.0.0/1682.207.0.1 to 82.207.255.25482.207.255.25565,534
20982.208.0.0/1682.208.0.1 to 82.208.255.25482.208.255.25565,534
21082.209.0.0/1682.209.0.1 to 82.209.255.25482.209.255.25565,534
21182.210.0.0/1682.210.0.1 to 82.210.255.25482.210.255.25565,534
21282.211.0.0/1682.211.0.1 to 82.211.255.25482.211.255.25565,534
21382.212.0.0/1682.212.0.1 to 82.212.255.25482.212.255.25565,534
21482.213.0.0/1682.213.0.1 to 82.213.255.25482.213.255.25565,534
21582.214.0.0/1682.214.0.1 to 82.214.255.25482.214.255.25565,534
21682.215.0.0/1682.215.0.1 to 82.215.255.25482.215.255.25565,534
21782.216.0.0/1682.216.0.1 to 82.216.255.25482.216.255.25565,534
21882.217.0.0/1682.217.0.1 to 82.217.255.25482.217.255.25565,534
21982.218.0.0/1682.218.0.1 to 82.218.255.25482.218.255.25565,534
22082.219.0.0/1682.219.0.1 to 82.219.255.25482.219.255.25565,534
22182.220.0.0/1682.220.0.1 to 82.220.255.25482.220.255.25565,534
22282.221.0.0/1682.221.0.1 to 82.221.255.25482.221.255.25565,534
22382.222.0.0/1682.222.0.1 to 82.222.255.25482.222.255.25565,534
22482.223.0.0/1682.223.0.1 to 82.223.255.25482.223.255.25565,534
22582.224.0.0/1682.224.0.1 to 82.224.255.25482.224.255.25565,534
22682.225.0.0/1682.225.0.1 to 82.225.255.25482.225.255.25565,534
22782.226.0.0/1682.226.0.1 to 82.226.255.25482.226.255.25565,534
22882.227.0.0/1682.227.0.1 to 82.227.255.25482.227.255.25565,534
22982.228.0.0/1682.228.0.1 to 82.228.255.25482.228.255.25565,534
23082.229.0.0/1682.229.0.1 to 82.229.255.25482.229.255.25565,534
23182.230.0.0/1682.230.0.1 to 82.230.255.25482.230.255.25565,534
23282.231.0.0/1682.231.0.1 to 82.231.255.25482.231.255.25565,534
23382.232.0.0/1682.232.0.1 to 82.232.255.25482.232.255.25565,534
23482.233.0.0/1682.233.0.1 to 82.233.255.25482.233.255.25565,534
23582.234.0.0/1682.234.0.1 to 82.234.255.25482.234.255.25565,534
23682.235.0.0/1682.235.0.1 to 82.235.255.25482.235.255.25565,534
23782.236.0.0/1682.236.0.1 to 82.236.255.25482.236.255.25565,534
23882.237.0.0/1682.237.0.1 to 82.237.255.25482.237.255.25565,534
23982.238.0.0/1682.238.0.1 to 82.238.255.25482.238.255.25565,534
24082.239.0.0/1682.239.0.1 to 82.239.255.25482.239.255.25565,534
24182.240.0.0/1682.240.0.1 to 82.240.255.25482.240.255.25565,534
24282.241.0.0/1682.241.0.1 to 82.241.255.25482.241.255.25565,534
24382.242.0.0/1682.242.0.1 to 82.242.255.25482.242.255.25565,534
24482.243.0.0/1682.243.0.1 to 82.243.255.25482.243.255.25565,534
24582.244.0.0/1682.244.0.1 to 82.244.255.25482.244.255.25565,534
24682.245.0.0/1682.245.0.1 to 82.245.255.25482.245.255.25565,534
24782.246.0.0/1682.246.0.1 to 82.246.255.25482.246.255.25565,534
24882.247.0.0/1682.247.0.1 to 82.247.255.25482.247.255.25565,534
24982.248.0.0/1682.248.0.1 to 82.248.255.25482.248.255.25565,534
25082.249.0.0/1682.249.0.1 to 82.249.255.25482.249.255.25565,534
25182.250.0.0/1682.250.0.1 to 82.250.255.25482.250.255.25565,534
25282.251.0.0/1682.251.0.1 to 82.251.255.25482.251.255.25565,534
25382.252.0.0/1682.252.0.1 to 82.252.255.25482.252.255.25565,534
25482.253.0.0/1682.253.0.1 to 82.253.255.25482.253.255.25565,534
25582.254.0.0/1682.254.0.1 to 82.254.255.25482.254.255.25565,534
25682.255.0.0/1682.255.0.1 to 82.255.255.25482.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses